package com.mosty.yszx.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.entity.yszx.TbYsSxt;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * @author dw
 * @since 2022/7/19
 **/
@Mapper
public interface TbYsSxtMapper extends BaseMapper<TbYsSxt> {

    @ApiOperation("添加摄像头信息")
    int insertEntity(TbYsSxt sxt);

    @ApiOperation("修改摄像头信息")
    void updateEntity(TbYsSxt sxt);

    @ApiOperation("查询摄像头的详细信息")
    TbYsSxt getInfoById(String id);

    @ApiOperation("查询摄像头列表总数")
    int getCount(Map<String, Object> map);

    @ApiOperation("查询摄像头列表--分页")
    List<TbYsSxt> getPageList(Map<String, Object> map);

    @ApiOperation("查询摄像头列表--不分页·")
    List<TbYsSxt> getList(Map<String, Object> map);

    @ApiOperation("查询摄像头-事件中心")
    List<TbYsSxt> getSjList(Map<String, Object> map);

    @ApiOperation("查询摄像头的详细信息")
    TbYsSxt queryBySjlyid(String sjlyid);

    @ApiOperation("清空摄像头数据")
    void deleteAll();


}
